From 94195440c267fae6d538e49c8ccad686c9a600b8 Mon Sep 17 00:00:00 2001
From: Sebastiii <sebastiii@team-mediaportal.com>
Date: Thu, 1 Mar 2018 08:58:44 +0100
Subject: [PATCH] Trakt : Wait rate dialog until MP is ready to displaying it
 (when stop is fully done)

---
 TraktPlugin/GUI/GUIUtils.cs | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

diff --git a/TraktPlugin/GUI/GUIUtils.cs b/TraktPlugin/GUI/GUIUtils.cs
index 83cac2d..dcd4255 100644
--- a/TraktPlugin/GUI/GUIUtils.cs
+++ b/TraktPlugin/GUI/GUIUtils.cs
@@ -6,6 +6,7 @@ using MediaPortal.GUI.Library;
 using TraktAPI.Enums;
 using TraktAPI.DataStructures;
 using System.IO;
+using MediaPortal.Player;
 
 namespace TraktPlugin.GUI
 {
@@ -448,7 +449,13 @@ namespace TraktPlugin.GUI
         /// </summary>        
         /// <param name="rateObject">Type of object being rated</param>
         public static int ShowRateDialog<T>(T rateObject)
-        {
+        {
+            // Wait playback is fully stopped to avoid loop on stop
+            while (g_Player.FullScreen || GUIGraphicsContext.Vmr9Active)
+            {
+                Thread.Sleep(10);
+            }
+
             if (!GUICommon.CheckLogin(false))
                 return -1;
 
@@ -464,8 +471,8 @@ namespace TraktPlugin.GUI
             {
                 GUIUtils.ShowOKDialog(Translation.Error, Translation.WifiRemotePluginInCompatible);
                 return -1;
-            }
-
+            }
+
             TraktRateValue currentRating = TraktRateValue.unrate;
 
             var ratingDlg = (GUIRateDialog)GUIWindowManager.GetWindow(GUIRateDialog.ID);
-- 
2.9.2.windows.1

